Summary:	Lynx-like text WWW browser
Name:		links
Version:	2.22
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/WWW

Source0:	http://links.twibright.com/download/links-%{version}.tar.xz
Source4:	links.cfg
Patch3:		links-0.96-no-weird-unhx-ing-of-command-line-args.patch
Patch6:		links-2.15-cookies-save.patch
Patch8:		links-current-color-by-default--and-vt100-frames.patch
Patch21:	links-2.15-fix-segfault-on-loading-cookies.patch
Patch24:	links-2.15-CVE-2006-5925--disable-SMB.patch
Patch25:	links2_better_verification.diff
URL:		http://links.twibright.com/
BuildRequires:	libx11-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	openssl-devel
BuildRequires:	jpeg-devel
BuildRequires:	bzip2-devel
BuildRequires:	gpm-devel
BuildRequires:	zlib-devel
Provides:	webclient
Requires:	links-common

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package graphic
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common
Provides:	webclient, links = %{version}-%{release}
Requires:	indexhtml

%description graphic
Links is a text/X11 based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package common
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW



%description common
Common files for links and links-graphic

%prep
%setup	-q
%apply_patches

%build
%configure2_5x
%make

cp -f links links-text

make clean
%configure2_5x --enable-graphics
%make

cp -f links links-graphic

%install
%makeinstall_std

rm -f %{buildroot}%{_bindir}/links
install links-graphic links-text %{buildroot}%{_bindir}

install -D -m 644 %{SOURCE4} %{buildroot}/etc/links.cfg

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Links
Comment=Lynx-like text/graphic Web browser
Exec=/usr/bin/links-graphic /usr/share/indexhtml/index.html
Icon=web_browser_section
Terminal=true
Type=Application
Categories=Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
EOF

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%triggerpostun graphic -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/links-text 10

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-text
fi

%post graphic
update-alternatives --install /usr/bin/links links /usr/bin/links-graphic 20

%postun graphic
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-graphic
fi

%files 
%{_bindir}/links-text

%files graphic
%{_bindir}/links-graphic
%{_datadir}/applications/*

%files common
%doc AUTHORS ChangeLog README SITES
%config(noreplace) /etc/links.cfg
%{_mandir}/*/*


%changelog
* Fri Mar 19 2021 tex - 2.22-1pclos2021
- new version

* Thu Aug 06 2020 tex - 2.21-1pclos2020
- new version

* Thu Sep 26 2019 tex - 2.20.2-1pclos2019
- new version

* Thu Sep 05 2019 tex - 2.20.1-1pclos2019
- new version

* Thu Aug 29 2019 tex - 2.20-1pclos2019
- new version

* Thu May 02 2019 tex - 2.19-1pclos2019
- new version

* Sat Jan 26 2019 tex - 2.18-2pclos2019
- rebuild against updates

